Page MenuHomeFreeBSD

editors/emacs-devel: Update to pull in new concurrency features
ClosedPublic

Authored by jrm on Dec 14 2016, 3:39 PM.

Details

Summary

editors/emacs-devel: Update to pull in new concurrency features

While here, update to minimize the differences with editors/emacs.

  • Do not require GCC to work around a clang bug. The OS versions for which this was relevant are no longer supported.
  • The check for X11 is handled with the X11 option and _IMPLIES, so remove the redundant .if logic.
Test Plan

portlint -C: Ok
testport: OK (poudriere: 9.3-RELEASE-p48, i386, default options)
testport: OK (poudriere: 9.3-RELEASE-p48, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm updated this revision to Diff 22917.Dec 14 2016, 3:39 PM
jrm retitled this revision from to editors/emacs-devel: Update to pull in new concurrency features.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: ashish, swills, AMDmi3.
jrm edited edge metadata.Dec 18 2016, 1:34 PM
swills accepted this revision.Dec 20 2016, 4:29 PM
swills edited edge metadata.

Approved

Looks good, although I suggest adding a on-by-default THREADS option to disable thread support for those who want to disable it. Could you please add it ?

Thanks!

Also need to bump port version in Mk/bsd.emacs.mk. Could you submit a diff for that too ?

Thanks!

AMDmi3 accepted this revision.Dec 21 2016, 2:00 PM
AMDmi3 edited edge metadata.
jrm updated this revision to Diff 23181.Dec 21 2016, 7:07 PM
jrm edited edge metadata.

Add an option for threading and update Mk/bsd.emacs.mk

swills accepted this revision.Dec 21 2016, 9:40 PM
swills edited edge metadata.

Works for me

ashish accepted this revision.Dec 25 2016, 3:19 AM
ashish edited edge metadata.

Looks good now. Thanks for working on this. Please go ahead, and commit.

This revision is now accepted and ready to land.Dec 25 2016, 3:19 AM
This revision was automatically updated to reflect the committed changes.